div#floater {
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,.8);
    transition: .5s;
    z-index: 9999;
}

div#floater a.floater-img,
div#floater a.floater-video {
    display: block;
    position: relative;
    max-width: 80%;
}
div#floater a.floater-img img,
div#floater a.floater-video video  {
    max-height: 85vh;
    min-height: 85vh;
    
    max-width: auto;
    min-width: auto;
}
div#floater a.floater-img img {
    width: 100%;
    object-fit: contain;
}

div#floater .closed-floater {
    position: absolute;
    right: -35px;
    top: -35px;
    color: #fff;
    cursor: pointer;
}